Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156436 - Samba 3.0.14a fixes some critical functionality bugs in 3.0.11
Summary: Samba 3.0.14a fixes some critical functionality bugs in 3.0.11
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-30 03:33 UTC by Reuben Farrelly
Modified: 2014-08-31 23:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-03 13:49:22 UTC


Attachments (Terms of Use)

Description Reuben Farrelly 2005-04-30 03:33:36 UTC
I think we really should be upgrading Samba 3.0.14a before FC4 if possible,
3.0.11 is a bit behind and misses some critical bugs in 3.0.11.

For example, I am personally seeing these known bugs in 3.0.11-6 on my system:

* Read only file deletion failure caused by new delete semantics in Windows XP
SP2 and the MS 04-044 security hotfix.  [For me this means that XP will allow me
to 'delete' a file which I do not have permissions to, and then it reappears
when I refresh]

* Inability for Print Administrators to pause/resume/purge print queues.

And this would be a good one to have:

* Performance enhancements when serving directories containing large number of
files.


I would regard both of the first two as showstopper bugs in the FC samba RPMas
they break basic functionality, and if the shipped RPM is not upgraded these
would be good candidates for a post-release update.

Release notes for review including all changes and bugs fixed since 3.0.11 at
http://us4.samba.org/samba/history/samba-3.0.14a.html

Comment 1 Reuben Farrelly 2005-05-03 13:49:22 UTC
The new 3.0.14a landed in rawhide a little while ago, so I'll close this bug now.

Thanks Jay!



Note You need to log in before you can comment on or make changes to this bug.